import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import UtilService from '@/utilservice/util-service';
import IBIZSample0003Service from '@/service/ibizsample0003/ibizsample0003-service';
import STabExpViewtabexppanelModel from './stab-exp-viewtabexppanel-tabexppanel-model';


/**
 * STabExpViewtabexppanel 部件服务对象
 *
 * @export
 * @class STabExpViewtabexppanelService
 */
export default class STabExpViewtabexppanelService extends ControlService {

    /**
     * 示例实体03服务对象
     *
     * @type {IBIZSample0003Service}
     * @memberof STabExpViewtabexppanelService
     */
    public appEntityService: IBIZSample0003Service = new IBIZSample0003Service({ $store: this.getStore() });

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof STabExpViewtabexppanelService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * 工具服务对象
     *
     * @protected
     * @type {UtilService}
     * @memberof STabExpViewtabexppanelService
     */
    protected utilService: UtilService = new UtilService();

    /**
     * Creates an instance of STabExpViewtabexppanelService.
     * 
     * @param {*} [opts={}]
     * @memberof STabExpViewtabexppanelService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new STabExpViewtabexppanelModel();
    }

    
}